
def extract_headings(url, tag='h1', parser='html.parser'):
    from bs4 import BeautifulSoup
    import requests

    # Send a request to the URL
    response = requests.get(url)
    # Parse the HTML content
    soup = BeautifulSoup(response.text, parser)
    # Find all headings of the specified tag
    headings = soup.find_all(tag)
    # Return a list of headings text
    return [heading.get_text() for heading in headings]



